Subject: Re: Undeliverable: Cygwin Digest, Vol 38, Issue 22
From: cygwinautoreply--- via Cygwin <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 14 Apr 2023 14:03:06 +0200 (CEST)
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

>--===============4033433209158903384==
>Content-Type: multipart/report; report-type=delivery-status;
>	boundary="48cc92b1-2b70-4b30-bf2b-4d83ca05a4c1"
>Content-Language: en-US

>--48cc92b1-2b70-4b30-bf2b-4d83ca05a4c1
>Content-Type: text/plain; charset="us-ascii"
>Content-Transfer-Encoding: quoted-printable

>Delivery has failed to these recipients or groups:

>[email-masked]<mailto:[email-masked]>
>The recipient's mailbox is full and can't accept messages now. Please try r=
>esending your message later, or contact the recipient directly.

>Diagnostic information for administrators:

>Generating server: GV1P190MB2020.EURP190.PROD.OUTLOOK.COM

>[email-masked]
>Remote server returned '554 5.2.2 mailbox full; STOREDRV.Deliver.Exception:=
>QuotaExceededException; Failed to process message due to a permanent except=
>ion with message [BeginDiagnosticData]Microsoft Unified Storage is full. Qu=
>otaExceededException: Microsoft Unified Storage is full.[EndDiagnosticData]=
> [Stage: DeliverMessage]'

>Original message headers:

>Received: from AS9PR06CA0134.eurprd06.prod.outlook.com (2603:10a6:20b:467::=
>18)
> by GV1P190MB2020.EURP190.PROD.OUTLOOK.COM (2603:10a6:150:5c::6) with
> Microsoft SMTP Server (version=3DTLS1_2,
> cipher=3DTLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.6298.30; Fri, 14 =
>Apr
> 2023 12:01:20 +0000
>Received: from AM7EUR06FT020.eop-eur06.prod.protection.outlook.com
> (2603:10a6:20b:467:cafe::44) by AS9PR06CA0134.outlook.office365.com
> (2603:10a6:20b:467::18) with Microsoft SMTP Server (version=3DTLS1_2,
> cipher=3DTLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.6298.33 via Front=
>end
> Transport; Fri, 14 Apr 2023 12:01:20 +0000
>Authentication-Results: spf=3Dpass (sender IP is 184.105.182.137)
> smtp.mailfrom=3Dopayq.com; dkim=3Dpass (signature was verified)
> header.d=3Dopayq.com;dmarc=3Dpass action=3Dnone header.from=3Dopayq.com;co=
>mpauth=3Dpass
> reason=3D100
>Received-SPF: Pass (protection.outlook.com: domain of opayq.com designates
> 184.105.182.137 as permitted sender) receiver=3Dprotection.outlook.com;
> client-ip=3D184.105.182.137; helo=3D137-he.filtered.junkemailfilter.com; p=
>r=3DC
>Received: from 137-he.filtered.junkemailfilter.com (184.105.182.137) by
> AM7EUR06FT020.mail.protection.outlook.com (10.233.255.144) with Microsoft
> SMTP Server (version=3DTLS1_2, cipher=3DTLS_ECDHE_RSA_WITH_AES_256_GCM_SHA=
>384) id
> 15.20.6298.31 via Frontend Transport; Fri, 14 Apr 2023 12:01:18 +0000
>X-IncomingTopHeaderMarker: OriginalChecksum:5E0B8B861B1C4AC17F23E43A5B86714=
>4A81567C06B46FE780750C681B5F42646;UpperCasedChecksum:545C84A36E93F61EEAAAD1=
>157C175B88ADD5DE2DB3AC3B07E24DD39F791FF492;SizeAsReceived:3108;Count:37
>Delivery-date: Fri, 14 Apr 2023 05:00:36 -0700
>Received: from smtp4.opayq.com ([23.21.143.60]:57034 helo=3D[HELO_NAME]) (h=
>elo=3D[HELO_NAME])
>        by opayq-outbound2.junkemailfilter.com with esmtps (TLSv1.2:ECDHE-R=
>SA-AES256-SHA384:256)
>        (JEF)
>        id 1pnI6V-0005Xd-6F (on interface=3D184.105.182.155)
>        for [email-masked]; Fri, 14 Apr 2023 05:00:35 -0700
>MIME-Version: 1.0
>DKIM-Signature: a=3Drsa-sha256; b=3DTs7SC6uIIW8GWO9INBTaP0O9Wm/vBo/GtOlKuP8=
>zJ4Py0SyjEyH8PH8/BUSgPyG6SoJrNO0ydqWCi9QvrCEGYV5/VvSP1AokHnlRQnfF6ntsT92HA5=
>nUj0jkdSu+Jf7hctlY7SIhAchdU+UcG4frVxz+Awq4bXBNAdmD7aT5QMk=3D; s=3Dabine; c=
>=3Drelaxed/relaxed; d=3Dopayq.com; t=3D1681473675; v=3D1; bh=3D6q+3QKCnURqV=
>qy1x7jIZwlKB85NiTYVkbM4IxrBd4H8=3D; h=3DDate:From:Reply-To:Subject:To:List-=
>Unsubscribe;
>Content-Type: multipart/mixed; boundary=3D"=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
>=3D=3D=3D=3D=3D2744155110844989408=3D=3D"
>X-GetAbine-Processed: 1
>From: "cygwin.com [Masked]" <[email-masked]>
>Sender: "cygwin.com [Masked]" <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>X-GetAbine-Sender: cygwin-bounces+km2z7kca0oge=[email-masked]
>X-GetAbine-Disposable: [email-masked]
>X-GetAbine-Host-Address: 23.21.143.60
>Subject: Cygwin Digest, Vol 38, Issue 22
>Date: Fri, 14 Apr 2023 12:00:04 +0000
>Message-ID: <[email-masked]>
>X-BeenThere: [email-masked]
>X-Mailman-Version: 2.1.29
>Precedence: list
>List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>
>List-Unsubscribe: <mailto:[email-masked]>, <h=
>ttps://emails.abine.com/disableDisposable?fwd=[email-masked]>
>List-Archive: <https://cygwin.com/pipermail/cygwin/>
>List-Post: <mailto:[email-masked]>
>List-Help: <mailto:[email-masked]?subject=3Dhelp>
>List-Subscribe: <https://cygwin.com/mailman/listinfo/cygwin>,
> <mailto:[email-masked]?subject=3Dsubscribe>
>X-Sender-Domain: sourceware.org
>X-Spamfilter-host: plato.junkemailfilter.com - http://www.junkemailfilter.c=
>om
>X-Key-ID: a20yejdrY2Ewb2dlQG9wYXlxLmNvbSBjeWd3aW4tYm91bmNlcytrbTJ6N2tjYTBvZ=
>2U9b3BheXEuY29tQGN5Z3dpbi5jb20gMjAyMy0wNC0xNCAwNTowMToxNy45OTggMXBuSTdCLTAw=
>MDFvUi1IVQ=3D=3D
>X-Content-flags: aging autotools available canada care checking currently d=
>ashes date direct documented downloads email email-adr following format htt=
>ps interactive kindly learn link links longword lowed mailto maintaining me=
>ssage messages microsoft month opics optout phone-num please pointer post p=
>roblem products projects question re reply replying request retirer subscri=
>be text-plain thanks time-ref transfer unsubscribe utf-8 via web windows wo=
>rking
>X-Domain-list: sourceware.org redhat.com cygwin.com nsone.net
>X-Relay-Countries: us
>X-Sender-Host-Address: 8.43.85.97
>X-Sender-Host-Name: ip-8-43-85-97.sourceware.org
>Errors-to: <>
>Return-Path: [email-masked]
>X-Key-ID: ZWx2ZW5zcGVsbG1ha2VyQGhvdG1haWwuY28udWsgZndkLmsxenNzNnB4eXZtOUBvc=
>GF5cS5jb20gMjAyMy0wNC0xNCAwNTowMDozNS4zMzMgMXBuSTZWLTAwMDVYZC02Rg=3D=3D
>X-IncomingHeaderCount: 37
>X-EOPAttributedMessage: 0
>X-EOPTenantAttributedMessage: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa:0
>X-MS-PublicTrafficType: Email
>X-MS-TrafficTypeDiagnostic: AM7EUR06FT020:EE_|GV1P190MB2020:EE_
>X-MS-Office365-Filtering-Correlation-Id: 3095e20f-4b2e-48bf-7bea-08db3cdff5=
>20
>X-MS-Exchange-EOPDirect: true
>X-Sender-IP: 184.105.182.137
>X-SID-PRA: [email-masked]
>X-SID-Result: PASS
>X-Microsoft-Antispam: BCL:0;
>X-Microsoft-Antispam-Message-Info:
>        =3D?us-ascii?Q?HswbMAgBnwGtSCUylxCLdfN5Wiv+vn8jocbB/bdohQXU9M0adi5L=
>6DZBmcr5?=3D
> =3D?us-ascii?Q?pPDrMlZ/5RCJ1Y8/nTMNjdUCLyNrkQTzQ6bH6wdcbd+E329VIktz2YtGUOa=
>Z?=3D
> =3D?us-ascii?Q?dtJXmehmbrKO+tqxUqHZYYKHVc2BE7QEpd3huJwfDbD+MkLRMes4tCVlCov=
>s?=3D
> =3D?us-ascii?Q?abtcgICoxYg4FavOmBvutFNS+VRweAowTNZkqfwx0oG0Aw8YTDOaYsrmjot=
>O?=3D
> =3D?us-ascii?Q?SbBP5XXOOyTeDTtqAGlR1bz5ij/oRavVF91r9Esa7V4tuaFvVbcjiQEeesN=
>4?=3D
> =3D?us-ascii?Q?fVXng6jtDhmk6r0cmBi/MwUxBjEjd0ilgYYTzk5EertaS7aipCb26lIEobi=
>s?=3D
> =3D?us-ascii?Q?KYYFnyVcXfBdb63NMjXVWdC4KpjVgbdN4ENXlns+ZeFBN067FVEFQeCYRug=
>E?=3D
> =3D?us-ascii?Q?4d5GMYCnF42mo9AxHYAWvty8fps7qW96rmkFEqIaoXst55pjo5InW7vfwNm=
>+?=3D
> =3D?us-ascii?Q?8ko6oiPif9MnJ8Q+Q6bfR3yJv9eCGg4aP1fdy834Px6Lw5AMBtQAJFhO4Py=
>q?=3D
> =3D?us-ascii?Q?vxv0Fait5osgMOMQAoWKi59wMR0C1G+jRuBjATgRrN/ySW2y4rhtGQYxAGi=
>W?=3D
> =3D?us-ascii?Q?09OvU/72Dv/qt/QiQfZfVeieIRuu/br1OC1zqkJ1e51uGvabntrnPC/mKDt=
>x?=3D
> =3D?us-ascii?Q?c3d0zMI93fNz7cIvrAv2OsLnvO5+g9KDZODnLI6dLEswhLqsUaEGkdjCts8=
>0?=3D
> =3D?us-ascii?Q?DICKih0pKju1y5gy7JBDg3jU2xOdiBn5y5W3bt1RpRffl0xbaLmyaCPeZAO=
>u?=3D
> =3D?us-ascii?Q?8FHBjJ6ISH4I/AS9Mpwf422s+KEKPw9DFbaZnW0HjVGOCdXKEr+gYNAnuA1=
>t?=3D
> =3D?us-ascii?Q?Gk8JiF4NdmRHjgLKGW2TNIeMxUEHrqzz7VqHlPhSz2vHxszLww8uv8KY5y+=
>4?=3D
> =3D?us-ascii?Q?LJdZFXG1w2ivi1QxsqaOF3+hsYn0cTq+3vbbRI43b82bM9qnIDkHQS1ro82=
>v?=3D
> =3D?us-ascii?Q?cQ2/DslBXcU+4zrIG6U1ozDHMmq7QU9Pph99Gsg6BVHP6keSYVPVLvJCpKp=
>l?=3D
> =3D?us-ascii?Q?wsTSNt4n8wCZgOGwCud+08C6FabiISPt6yYQsNXPZpczss/gfYN5HQZ/PTc=
>4?=3D
> =3D?us-ascii?Q?vXaJhtfsi3jbbpkzFyGDDWQ/hJn7Dw=3D3D=3D3D?=3D
>X-MS-Exchange-CrossTenant-OriginalArrivalTime: 14 Apr 2023 12:01:18.8165
> (UTC)
>X-MS-Exchange-CrossTenant-Network-Message-Id: 3095e20f-4b2e-48bf-7bea-08db3=
>cdff520
>X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
>X-MS-Exchange-CrossTenant-AuthSource:
>        AM7EUR06FT020.eop-eur06.prod.protection.outlook.com
>X-MS-Exchange-CrossTenant-AuthAs: Anonymous
>X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
>X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg:
>        00000000-0000-0000-0000-000000000000
>X-MS-Exchange-Transport-CrossTenantHeadersStamped: GV1P190MB2020

>--48cc92b1-2b70-4b30-bf2b-4d83ca05a4c1
>Content-Type: message/delivery-status

>Reporting-MTA: dns;GV1P190MB2020.EURP190.PROD.OUTLOOK.COM
>Received-From-MTA: dns;137-he.filtered.junkemailfilter.com
>Arrival-Date: Fri, 14 Apr 2023 12:01:20 +0000

>Final-Recipient: rfc822;[email-masked]
>Action: failed
>Status: 5.2.2
>Diagnostic-Code: smtp;554 5.2.2 mailbox full; STOREDRV.Deliver.Exception:QuotaExceededException; Failed to process message due to a permanent exception with message [BeginDiagnosticData]Microsoft Unified Storage is full. QuotaExceededException: Microsoft Unified Storage is full.[EndDiagnosticData] [Stage: DeliverMessage]

>--48cc92b1-2b70-4b30-bf2b-4d83ca05a4c1
>Content-Type: message/rfc822

>Received: from AS9PR06CA0134.eurprd06.prod.outlook.com (2603:10a6:20b:467::18)
> by GV1P190MB2020.EURP190.PROD.OUTLOOK.COM (2603:10a6:150:5c::6) with
> Microsoft SMTP Server (version=TLS1_2,
> cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.6298.30; Fri, 14 Apr
> 2023 12:01:20 +0000
>Received: from AM7EUR06FT020.eop-eur06.prod.protection.outlook.com
> (2603:10a6:20b:467:cafe::44) by AS9PR06CA0134.outlook.office365.com
> (2603:10a6:20b:467::18) with Microsoft SMTP Server (version=TLS1_2,
> cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.6298.33 via Frontend
> Transport; Fri, 14 Apr 2023 12:01:20 +0000
>Authentication-Results: spf=pass (sender IP is 184.105.182.137)
> smtp.mailfrom=opayq.com; dkim=pass (signature was verified)
> header.d=opayq.com;dmarc=pass action=none header.from=opayq.com;compauth=pass
> reason=100
>Received-SPF: Pass (protection.outlook.com: domain of opayq.com designates
> 184.105.182.137 as permitted sender) receiver=protection.outlook.com;
> client-ip=184.105.182.137; helo=137-he.filtered.junkemailfilter.com; pr=C
>Received: from 137-he.filtered.junkemailfilter.com (184.105.182.137) by
> AM7EUR06FT020.mail.protection.outlook.com (10.233.255.144) with Microsoft
> SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
> 15.20.6298.31 via Frontend Transport; Fri, 14 Apr 2023 12:01:18 +0000
>X-IncomingTopHeaderMarker: OriginalChecksum:5E0B8B861B1C4AC17F23E43A5B867144A81567C06B46FE780750C681B5F42646;UpperCasedChecksum:545C84A36E93F61EEAAAD1157C175B88ADD5DE2DB3AC3B07E24DD39F791FF492;SizeAsReceived:3108;Count:37
>Delivery-date: Fri, 14 Apr 2023 05:00:36 -0700
>Received: from smtp4.opayq.com ([23.21.143.60]:57034 helo=[HELO_NAME]) (helo=[HELO_NAME])
>	by opayq-outbound2.junkemailfilter.com with esmtps (TLSv1.2:ECDHE-RSA-AES256-SHA384:256)
>	(JEF)
>	id 1pnI6V-0005Xd-6F (on interface=184.105.182.155)
>	for [email-masked]; Fri, 14 Apr 2023 05:00:35 -0700
>MIME-Version: 1.0
>DKIM-Signature: a=rsa-sha256; b=Ts7SC6uIIW8GWO9INBTaP0O9Wm/vBo/GtOlKuP8zJ4Py0SyjEyH8PH8/BUSgPyG6SoJrNO0ydqWCi9QvrCEGYV5/VvSP1AokHnlRQnfF6ntsT92HA5nUj0jkdSu+Jf7hctlY7SIhAchdU+UcG4frVxz+Awq4bXBNAdmD7aT5QMk=; s=abine; c=relaxed/relaxed; d=opayq.com; t=1681473675; v=1; bh=6q+3QKCnURqVqy1x7jIZwlKB85NiTYVkbM4IxrBd4H8=; h=Date:From:Reply-To:Subject:To:List-Unsubscribe;
>Content-Type: multipart/mixed; boundary="===============2744155110844989408=="
>X-GetAbine-Processed: 1
>From: "cygwin.com [Masked]" <[email-masked]>
>Sender: "cygwin.com [Masked]" <[email-masked]>
>Reply-To: [email-masked]
>To: [email-masked]
>X-GetAbine-Sender: cygwin-bounces+km2z7kca0oge=[email-masked]
>X-GetAbine-Disposable: [email-masked]
>X-GetAbine-Host-Address: 23.21.143.60
>Subject: Cygwin Digest, Vol 38, Issue 22
>Date: Fri, 14 Apr 2023 12:00:04 +0000
>Message-ID: <[email-masked]>
>X-BeenThere: [email-masked]
>X-Mailman-Version: 2.1.29
>Precedence: list
>List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>
>List-Unsubscribe: <mailto:[email-masked]>, <https://emails.abine.com/disableDisposable?fwd=[email-masked]>
>List-Archive: <https://cygwin.com/pipermail/cygwin/>
>List-Post: <mailto:[email-masked]>
>List-Help: <mailto:[email-masked]?subject=help>
>List-Subscribe: <https://cygwin.com/mailman/listinfo/cygwin>,
> <mailto:[email-masked]?subject=subscribe>
>X-Sender-Domain: sourceware.org
>X-Spamfilter-host: plato.junkemailfilter.com - http://www.junkemailfilter.com
>X-Key-ID: a20yejdrY2Ewb2dlQG9wYXlxLmNvbSBjeWd3aW4tYm91bmNlcytrbTJ6N2tjYTBvZ2U9b3BheXEuY29tQGN5Z3dpbi5jb20gMjAyMy0wNC0xNCAwNTowMToxNy45OTggMXBuSTdCLTAwMDFvUi1IVQ==
>X-Content-flags: aging autotools available canada care checking currently dashes date direct documented downloads email email-adr following format https interactive kindly learn link links longword lowed mailto maintaining message messages microsoft month opics optout phone-num please pointer post problem products projects question re reply replying request retirer subscribe text-plain thanks time-ref transfer unsubscribe utf-8 via web windows working
>X-Domain-list: sourceware.org redhat.com cygwin.com nsone.net
>X-Relay-Countries: us
>X-Sender-Host-Address: 8.43.85.97
>X-Sender-Host-Name: ip-8-43-85-97.sourceware.org
>Errors-to: <>
>Return-Path: [email-masked]
>X-Key-ID: ZWx2ZW5zcGVsbG1ha2VyQGhvdG1haWwuY28udWsgZndkLmsxenNzNnB4eXZtOUBvcGF5cS5jb20gMjAyMy0wNC0xNCAwNTowMDozNS4zMzMgMXBuSTZWLTAwMDVYZC02Rg==
>X-IncomingHeaderCount: 37
>X-EOPAttributedMessage: 0
>X-EOPTenantAttributedMessage: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa:0
>X-MS-PublicTrafficType: Email
>X-MS-TrafficTypeDiagnostic: AM7EUR06FT020:EE_|GV1P190MB2020:EE_
>X-MS-Office365-Filtering-Correlation-Id: 3095e20f-4b2e-48bf-7bea-08db3cdff520
>X-MS-Exchange-EOPDirect: true
>X-Sender-IP: 184.105.182.137
>X-SID-PRA: [email-masked]
>X-SID-Result: PASS
>X-Microsoft-Antispam: BCL:0;
>X-Microsoft-Antispam-Message-Info:  =?us-ascii?Q?HswbMAgBnwGtSCUylxCLdfN5Wiv+vn8jocbB/bdohQXU9M0adi5L6DZBmcr5?=
> =?us-ascii?Q?pPDrMlZ/5RCJ1Y8/nTMNjdUCLyNrkQTzQ6bH6wdcbd+E329VIktz2YtGUOaZ?=
> =?us-ascii?Q?dtJXmehmbrKO+tqxUqHZYYKHVc2BE7QEpd3huJwfDbD+MkLRMes4tCVlCovs?=
> =?us-ascii?Q?abtcgICoxYg4FavOmBvutFNS+VRweAowTNZkqfwx0oG0Aw8YTDOaYsrmjotO?=
> =?us-ascii?Q?SbBP5XXOOyTeDTtqAGlR1bz5ij/oRavVF91r9Esa7V4tuaFvVbcjiQEeesN4?=
> =?us-ascii?Q?fVXng6jtDhmk6r0cmBi/MwUxBjEjd0ilgYYTzk5EertaS7aipCb26lIEobis?=
> =?us-ascii?Q?KYYFnyVcXfBdb63NMjXVWdC4KpjVgbdN4ENXlns+ZeFBN067FVEFQeCYRugE?=
> =?us-ascii?Q?4d5GMYCnF42mo9AxHYAWvty8fps7qW96rmkFEqIaoXst55pjo5InW7vfwNm+?=
> =?us-ascii?Q?8ko6oiPif9MnJ8Q+Q6bfR3yJv9eCGg4aP1fdy834Px6Lw5AMBtQAJFhO4Pyq?=
> =?us-ascii?Q?vxv0Fait5osgMOMQAoWKi59wMR0C1G+jRuBjATgRrN/ySW2y4rhtGQYxAGiW?=
> =?us-ascii?Q?09OvU/72Dv/qt/QiQfZfVeieIRuu/br1OC1zqkJ1e51uGvabntrnPC/mKDtx?=
> =?us-ascii?Q?c3d0zMI93fNz7cIvrAv2OsLnvO5+g9KDZODnLI6dLEswhLqsUaEGkdjCts80?=
> =?us-ascii?Q?DICKih0pKju1y5gy7JBDg3jU2xOdiBn5y5W3bt1RpRffl0xbaLmyaCPeZAOu?=
> =?us-ascii?Q?8FHBjJ6ISH4I/AS9Mpwf422s+KEKPw9DFbaZnW0HjVGOCdXKEr+gYNAnuA1t?=
> =?us-ascii?Q?Gk8JiF4NdmRHjgLKGW2TNIeMxUEHrqzz7VqHlPhSz2vHxszLww8uv8KY5y+4?=
> =?us-ascii?Q?LJdZFXG1w2ivi1QxsqaOF3+hsYn0cTq+3vbbRI43b82bM9qnIDkHQS1ro82v?=
> =?us-ascii?Q?cQ2/DslBXcU+4zrIG6U1ozDHMmq7QU9Pph99Gsg6BVHP6keSYVPVLvJCpKpl?=
> =?us-ascii?Q?wsTSNt4n8wCZgOGwCud+08C6FabiISPt6yYQsNXPZpczss/gfYN5HQZ/PTc4?=
> =?us-ascii?Q?vXaJhtfsi3jbbpkzFyGDDWQ/hJn7Dw=3D=3D?=
>X-MS-Exchange-CrossTenant-OriginalArrivalTime: 14 Apr 2023 12:01:18.8165
> (UTC)
>X-MS-Exchange-CrossTenant-Network-Message-Id: 3095e20f-4b2e-48bf-7bea-08db3cdff520
>X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
>X-MS-Exchange-CrossTenant-AuthSource:  AM7EUR06FT020.eop-eur06.prod.protection.outlook.com
>X-MS-Exchange-CrossTenant-AuthAs: Anonymous
>X-MS-Exchange-CrossTenant-FromEntityHeader: Internet
>X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg:  00000000-0000-0000-0000-000000000000
>X-MS-Exchange-Transport-CrossTenantHeadersStamped: GV1P190MB2020

>--===============2744155110844989408==
>Content-Type: text/plain; charset="us-ascii"
>MIME-Version: 1.0
>Content-Transfer-Encoding: 7bit
>Content-Description: Cygwin Digest, Vol 38, Issue 22

>--------------------------IronVest---------------------------
>Preview: Send Cygwin mailing list submissions to [email-masked] To  --> SPAM? CLICK to BLOCK: https://ironvest.com/app/0/#emails/[email-masked]/toggle

>This email is Masked using Ironvest - it was sent from cygwin.com to [email-masked] (your reply stays Masked). To protect your privacy, do not forward this message, or add new recipients like CCs or BCCs.

>Thanks for being an IronVest customer!
>--------------------------IronVest---------------------------

>Send Cygwin mailing list submissions to
>	[email-masked]

>To subscribe or unsubscribe via the World Wide Web, visit
>	https://cygwin.com/mailman/listinfo/cygwin
>or, via email, send a message with subject or body 'help' to
>	[email-masked]

>You can reach the person managing the list at
>	[email-masked]

>When replying, please edit your Subject line so it is more specific
>than "Re: Contents of Cygwin digest..."

>--===============2744155110844989408==
>Content-Type: text/plain; charset="us-ascii"
>MIME-Version: 1.0
>Content-Transfer-Encoding: 7bit
>Content-Description: Today's Topics (6 messages)

>--------------------------IronVest---------------------------
>Preview: Send Cygwin mailing list submissions to [email-masked] To  --> SPAM? CLICK to BLOCK: https://ironvest.com/app/0/#emails/[email-masked]/toggle

>This email is Masked using Ironvest - it was sent from cygwin.com to [email-masked] (your reply stays Masked). To protect your privacy, do not forward this message, or add new recipients like CCs or BCCs.

>Thanks for being an IronVest customer!
>--------------------------IronVest---------------------------

>Today's Topics:

>   1. Re: Support for Windows Server 2012 until its end of life
>      (Brian Inglis)
>   2. [ANNOUNCEMENT] cygport 0.36.2-1 (Jon Turney)
>   3. Problem with FAST_CWD pointer in Cygwin (BENHADDAD Oussama)
>   4. Re: Problem with FAST_CWD pointer in Cygwin
>      ([email-masked])
>   5. Permissions question / issue (Eliot Moss)
>   6. Re: [Bug] No Keyboard input when using interactive commands
>      with stdin via pipes (Takashi Yano)

>--===============2744155110844989408==
>Content-Type: multipart/digest; boundary="===============1055455006067588526=="
>MIME-Version: 1.0

>--===============1055455006067588526==
>Content-Type: message/rfc822
>MIME-Version: 1.0

>List-Post: <mailto:[email-masked]>
>Content-Transfer-Encoding: quoted-printable
>From: Brian Inglis <[email-masked]>
>Precedence: list
>MIME-Version: 1.0
>Cc: Max Moebius <[email-masked]>
>To: [email-masked]
>References: <[email-masked]>
>In-Reply-To: <[email-masked]>
>Date: Thu, 13 Apr 2023 08:36:28 -0600
>Reply-To: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=UTF-8; format=flowed
>Subject: Re: Support for Windows Server 2012 until its end of life
>Message: 1

>On 2023-04-12 22:10, Max Moebius via Cygwin wrote:
>> We kindly ask to continue the Cygwin support for Windows Server 2012 unti=
>l
>> its end of life. This will be on October 10, 2023.
>> https://learn.microsoft.com/en-us/lifecycle/products/windows-server-2012

>As reiterated late last year in cygwin 3.4.0-1 announcement:

>	https://cygwin.com/pipermail/cygwin-announce/2022-December/010821.html
>https://inbox.sourceware.org/cygwin-announce/20221204145856.2386232-1-corin=
>[email-masked]/

>	https://cygwin.com/pipermail/cygwin/2022-December/252601.html
>https://inbox.sourceware.org/cygwin/announce.20221204145856.2386232-1-corin=
>[email-masked]/

>64 bit WS2012 will be supported until then by Cygwin 3.4 releases, and afte=
>r=20
>then Cygwin 3.5 will be released (currently available for testing) and 64 b=
>it=20
>WS2012R2 will be supported at least until MS drops support.

>--=20
>Take care. Thanks, Brian Inglis              Calgary, Alberta, Canada

>La perfection est atteinte                   Perfection is achieved
>non pas lorsqu'il n'y a plus rien =C3=A0 ajouter  not when there is no more=
> to add
>mais lorsqu'il n'y a plus rien =C3=A0 retirer     but when there is no more=
> to cut
>                                 -- Antoine de Saint-Exup=C3=A9ry

>--===============1055455006067588526==
>Content-Type: message/rfc822
>MIME-Version: 1.0

>List-Post: <mailto:[email-masked]>
>Content-Transfer-Encoding: 7bit
>From: Jon Turney <[email-masked]>
>Precedence: list
>MIME-Version: 1.0
>To: [email-masked]
>References: <[email-masked]>
>In-Reply-To: <[email-masked]>
>Date: Thu, 13 Apr 2023 17:25:33 +0100
>Reply-To: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=UTF-8; format=flowed
>Subject: [ANNOUNCEMENT] cygport 0.36.2-1
>Message: 2

>The following packages have been uploaded to the Cygwin distribution:

>* cygport-0.36.1-1

>cygport is the standard method for building and maintaining
>packages for the Cygwin distribution.

>Highlights of this release:

>Stripping of executables is now parallelized.  With many cores, this can 
>result in a large speed up for packages with many executable files. 
>(Thanks to Achim Gratz)

>Achim Gratz (1):
>       lib/src_postinst.cygpart: parallelize __prepstrip

>Brian Inglis (1):
>       lib/src_fetch.cygpart: iterate thru mirror lists if downloads fail

>Jon Turney (4):
>       Try to turn case-sensitivity on for the working directory on Cygwin
>       autotools: Update documented range of WANT_AUTOMAKE values
>       Move creation of dbgsrc.out.0 before checking if RESTRICT 
>contains 'strip'
>       Bump version to 0.36.2

>Ken Brown (1):
>       git: Try 'main' if there's no master branch

>Marco Atzeri (1):
>       python-wheel: Allow projects without setup.py or setup.cfg, only 
>pyproject.toml (PEP 518)

>--===============1055455006067588526==
>Content-Type: message/rfc822
>MIME-Version: 1.0

>List-Post: <mailto:[email-masked]>
>Content-Transfer-Encoding: 7bit
>From: BENHADDAD Oussama <[email-masked]>
>Precedence: list
>MIME-Version: 1.0
>To: [email-masked]
>Date: Fri, 14 Apr 2023 00:59:39 +0200
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=UTF-8; format=flowed
>Subject: Problem with FAST_CWD pointer in Cygwin
>Message: 3

>*

>Dear Cygwin,

>I am writing to report a warning message that I encountered when using 
>Cygwin. Specifically, when running a command in the Bash shell, I 
>received the following warning:

>*
>*

>2 [main] bash 21604 find_fast_cwd: WARNING: Couldn't compute FAST_CWD 
>pointer. Please report this problem to the public mailing list 
>[email-masked] <mailto:[email-masked]>

>Using cable "USB-Blaster [USB-0]", device 1, instance 0x00

>Resetting and pausing target processor: FAILED

>Leaving target processor paused

>*
>*

>I am using Cygwin on Windows 10. The command that I ran was:

>C:\altera\13.0sp1\quartus\bin\quartus_pgm -c "USB-Blaster [USB-0]" -m 
>jtag -o "DE2_115_Media_Computer.sof"

>I am not sure if this issue is related to the command itself, or if it 
>is a more general problem with Cygwin. However, I would greatly 
>appreciate any insight or guidance that you can provide.

>Thank you for your assistance.

>Sincerely,

>BENHADDAD Oussama

>*

>--===============1055455006067588526==
>Content-Type: message/rfc822
>MIME-Version: 1.0

>List-Post: <mailto:[email-masked]>
>From: [email-masked]
>Precedence: list
>Cc: [email-masked]
>To: [email-masked]
>References: <[email-masked]>
>In-Reply-To: <[email-masked]>
>Date: Fri, 14 Apr 2023 01:01:06 +0200 (CEST)
>Message-ID: <[email-masked]>
>Subject: Re: Problem with FAST_CWD pointer in Cygwin
>Message: 4
>MIME-Version: 1.0
>Content-Type: text/plain

>>*

>>Dear Cygwin,

>>I am writing to report a warning message that I encountered when using 
>>Cygwin. Specifically, when running a command in the Bash shell, I 
>>received the following warning:

>>*
>>*

>>2 [main] bash 21604 find_fast_cwd: WARNING: Couldn't compute FAST_CWD 
>>pointer. Please report this problem to the public mailing list 
>>[email-masked] <mailto:[email-masked]>

>>Using cable "USB-Blaster [USB-0]", device 1, instance 0x00

>>Resetting and pausing target processor: FAILED

>>Leaving target processor paused

>>*
>>*

>>I am using Cygwin on Windows 10. The command that I ran was:

>>C:\altera\13.0sp1\quartus\bin\quartus_pgm -c "USB-Blaster [USB-0]" -m 
>>jtag -o "DE2_115_Media_Computer.sof"

>>I am not sure if this issue is related to the command itself, or if it 
>>is a more general problem with Cygwin. However, I would greatly 
>>appreciate any insight or guidance that you can provide.

>>Thank you for your assistance.

>>Sincerely,

>>BENHADDAD Oussama

>>*

>https://cygwin.com/faq.html#faq.using.fixing-find_fast_cwd-warnings

>--===============1055455006067588526==
>Content-Type: message/rfc822
>MIME-Version: 1.0

>List-Post: <mailto:[email-masked]>
>Content-Transfer-Encoding: 7bit
>From: Eliot Moss <[email-masked]>
>Precedence: list
>MIME-Version: 1.0
>To: cygwin <[email-masked]>
>Date: Thu, 13 Apr 2023 23:03:40 -0400
>Reply-To: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=UTF-8; format=flowed
>Subject: Permissions question / issue
>Message: 5

>Dear cygwin'ers -

>I seem to be caught in a bind with the Cygwin permissions setup.

>ssh insists that ~/.ssh/config have permissions no less permissive than rw------- (600).

>However, my backup program runs as SYSTEM and needs access.  I tried to
>provide that access by adding an ACL g:SYSTEM:r-x, but that appears as
>rw-r-x--- and ssh doesn't like it.

>I seem to recall that at some point in the past we agreed to ignore the
>permissions given to SYSTEM when computing effective permission (e.g., as
>output by ls -l).  That would suit the purpose.

>Did something change?  or am I misremembering the solution to the conundrum?

>Note: I have Administrator privilege on my machine, but that doesn't help,
>since the backup tool runs under SYSTEM, a different account.

>Best wishes - Eliot Moss

>--===============1055455006067588526==
>Content-Type: message/rfc822
>MIME-Version: 1.0

>List-Post: <mailto:[email-masked]>
>Content-Transfer-Encoding: quoted-printable
>From: Takashi Yano <[email-masked]>
>Precedence: list
>MIME-Version: 1.0
>Cc: Wladislav Artsimovich <[email-masked]>
>To: [email-masked]
>References: <20230411082225.Horde._PTWsCm_YLV1M7wEp3hKuyr@localhost>
>In-Reply-To: <20230411082225.Horde._PTWsCm_YLV1M7wEp3hKuyr@localhost>
>Date: Fri, 14 Apr 2023 12:21:15 +0900
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=UTF-8
>Subject: Re: [Bug] No Keyboard input when using interactive commands with
> stdin via pipes
>Message: 6

>On Tue, 11 Apr 2023 08:22:25 +0000
>Wladislav Artsimovich wrote:
>> Dear Cygwin users,
>> =C2=A0
>> there appears to be a bug or a missing implementation detail in either un=
>ix pipes or ConPTY, which prevents interactive console programs from receiv=
>ing keyboard input, when they get stdin via a pipe.
>> This report concerns the following Github issue, originally started in th=
>e MinTTY Terminal emulator Repo: https://github.com/mintty/mintty/issues/12=
>10
>> =C2=A0
>> There are multiple programs, which fail to receive any kind of keyboard i=
>nput when used in MinTTY and when their stdin input is supplied via a pipe.
>> This has been reported multiple times in the MinTTY repo already.
>> =C2=A0
>> Examples include:=C2=A0
>> =C2=A0- `fzf`, which works normally when being called, but stops working =
>properly if it receives a file list via a pipe. Eg.: `fzf` by itself works =
>fine. but `find . | fzf` fails.
>> =C2=A0- By extension, the zsh plugin fzf-plugin fails for the same reason=
>, when opening the command history
>> =C2=A0- The program fx ( https://github.com/antonmedv/fx ) which successf=
>ully receives keyboard input for navigating a json file, Eg.: `curl -s http=
>s://api.openai.com/v1/chat/completions -H 'Content-Type: application/json' =
>> test.json; fx test.json` but fails when getting the json data as a direct=
> pipe: `curl -s https://api.openai.com/v1/chat/completions -H 'Content-Type=
>: application/json' | fx`
>> =C2=A0
>> This happens with MinTTY accessing the MSYS2 environment on Windows. Inte=
>restingly enough, this does not happen with Alacritty accessing the MSYS2 e=
>nvironment on Windows. With Alacritty everything is fine, which made me ini=
>tially suspect MinTTY as being the culprit. However, the MinTTY repo lead d=
>iagnosed this issue to come from Cygwin, which is why I write report the bu=
>g in this mailing list.
>> =C2=A0
>> Is there something that can be done about this? Can I provide additional =
>debug info or logs to help fix this?

>Thnaks for the report.

>I cound reproduce your problem by:
>$ yes | cat -n | more.com
>(not /usr/bin/more but /cygdrive/c/WINDOWS/system32/more.com)

>Currently, the keybord inputs are sent only to 'yes' rather than 'more.com'
>in the above case.

>This does not happen in:
>$ yes | cat -n | less
>because less is a cygwin program which opens '/dev/tty' rather than 'CONIN$=
>'.

>Anyway, I'll fix that.

>--=20
>Takashi Yano <[email-masked]>

>--===============1055455006067588526==--

>--===============2744155110844989408==
>Content-Type: text/plain; charset="us-ascii"
>MIME-Version: 1.0
>Content-Transfer-Encoding: 7bit
>Content-Description: Digest Footer

>--------------------------IronVest---------------------------
>Preview: Send Cygwin mailing list submissions to [email-masked] To  --> SPAM? CLICK to BLOCK: https://ironvest.com/app/0/#emails/[email-masked]/toggle

>This email is Masked using Ironvest - it was sent from cygwin.com to [email-masked] (your reply stays Masked). To protect your privacy, do not forward this message, or add new recipients like CCs or BCCs.

>Thanks for being an IronVest customer!
>--------------------------IronVest---------------------------

>--===============2744155110844989408==--

>--48cc92b1-2b70-4b30-bf2b-4d83ca05a4c1--

>--===============4033433209158903384==
>Content-Type: text/plain; charset="us-ascii"
>MIME-Version: 1.0
>Content-Transfer-Encoding: 7bit
>Content-Disposition: inline

>--===============4033433209158903384==--

https://cygwin.com/faq.html#faq.using.fixing-find_fast_cwd-warnings

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple